@charset "utf-8";
/* CSS Document */

/*〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓
エントリー一覧
〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓*/

.post_list {
    /*〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓*/
    /* サムネイル付きリスト */
    &.thumb_list {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;

        /* justify 調整用空タグ */
        &::after {
            content: "";
            display: block;
            width: 31.25%;
            max-width: 36rem;
        }

        @media screen and (max-width: 480px) {
            /* justify 調整用空タグ */
            &::after {
                /* 横幅を.entry_itemと合わせる */
                width: 48%;
            }
        }

        /* -------------------- */
        /* エントリー */
        .entry_item {
            position: relative;
            width: 31.25%;
            max-width: 36rem;
            margin-bottom: 3rem;

            @media screen and (max-width: 480px) {
                width: 48%;
                position: relative;
            }

            /* パーマリンク */
            a.permalink {
                display: block;
                width: 100%;
                height: 100%;
                box-sizing: border-box;
                color: #000;
            }

            /* サムネイル */
            .thumb {
                /* アスペクト比を指定 */
                aspect-ratio: 4 / 3;
                border-radius: 0.5rem;
                overflow: hidden;
            }

            /*エントリーのデータ部分*/
            .entry_data_wrap {
                /* 日付 */
                .postdate {
                    display: inline-block;
                }

                /* タイトル */
                .title {
                    font-size: var(--fsize_m);
                    line-height: 1.5;
                    letter-spacing: 0.05em;
                    margin: 1em 0 0.5em;
                    text-align: left;
                }

                /* ターム */
                ul.term_list {
                    li.term_wrap {
                        display: inline-block;
                        margin-right: 0.5em;
                        padding-right: 0.5em;
                        border-right: 1px solid #000;
                        line-height: 1.6;
                        font-size: var(--fsize_s);
                        &:last-child {
                            border-right: none;
                            padding: 0;
                            margin: 0;
                        }
                    }
                }
            }
        }
    }

    /*〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓*/
    /* テキストのみの一覧 */
    &.text_list {
        border-top: 2px solid #eee;
        border-bottom: 2px solid #eee;

        /*--------------------*/
        /* エントリー */
        .entry_item {
            /* バッジ */
            /* NEW */
            &.badge-new::before {
                content: "NEW!";
                display: inline-block;
                font-weight: 700;
                color: #c00;
                padding-right: 0.5em;
            }

            /* 色替え */
            &:nth-child(2n + 1) {
                background-color: #eee;
            }

            /* パーマリンク */
            a.permalink {
                display: block;
                color: #000;
                padding: 1rem;

                dl {
                    display: flex;
                    flex-wrap: wrap;
                    align-items: center;
                    font-size: var(--fsize_s);

                    /* 日付 */
                    dt.postdate {
                        width: 10%;
                        min-width: 6em;
                    }

                    /* タイトル */
                    dd.title {
                        font-size: var(--fsize_m);
                        line-height: 1.25;

                        @media screen and (max-width: 480px) {
                            width: 100%;
                            margin-top: 0.5em;
                        }
                    }
                }
            }
        }
    }
}
